CREATE TABLE fnd_ntf_app_module (
    APP_MODULE_ID        NUMBER(18, 0) ,
    NAME                 VARCHAR2(4000)    NOT NULL,
    APIKEY               VARCHAR2(4000)    NOT NULL,
    URL                  VARCHAR2(4000)    NOT NULL,
    IS_ACTIVE            VARCHAR2(4)       NOT NULL,
    PREFERENCE_JSON      CLOB              NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    APP_MODULE_ID        NUMBER(18, 0) ,
    NAME                 VARCHAR2(4000)    NOT NULL,
    APIKEY               VARCHAR2(4000)    NOT NULL,
    URL                  VARCHAR2(4000)    NOT NULL,
    IS_ACTIVE            VARCHAR2(4)       NOT NULL,
    PREFERENCE_JSON      CLOB              NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    CONSTRAINT pk_fnd_ntf_app_module PRIMARY KEY (APP_MODULE_ID, APP_MODULE_ID)
);
